petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscCalloc1

Allocates a cleared (zeroed) array of memory aligned to PETSC_MEMALIGN

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscCalloc1(size_t m1,type **r1)

Not Collective

### Input Parameter

m1 -number of elements to allocate in 1st chunk (may be zero)

### Output Parameter

r1 -memory allocated

### Notes

See PetsMalloc1() for more details on usage.

### See Also

PetscFree(), PetscNew(), PetscMalloc(), PetscMalloc1(), PetscCalloc2()

### Level

beginner

### Location

include/petscsys.h

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages